> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# sora-2-下载视频

> 在任务完成后下载生成的视频。如果任务仍在进行中，则返回错误。



## OpenAPI

````yaml zh/api-reference/model-api/openai/openapi/sora-2-download/openapi.yaml GET /v1/videos/{id}/content
openapi: 3.1.0
info:
  title: Sora 2 下载视频
  description: 通过 Anyfast API 下载已完成的 Sora 2 视频
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/videos/{id}/content:
    get:
      summary: 下载视频内容
      description: 在任务完成后下载生成的视频。如果任务仍在进行中，则返回错误。
      operationId: downloadSora2Video
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: 视频任务 ID
          example: video_69b131ea03548190925a6a06febf993b
      responses:
        '200':
          description: 视频下载信息
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: sora-2:task_01k7yhn8vae4ev52cnyxw3gn68
                  object:
                    type: string
                    example: video
                  model:
                    type: string
                    example: sora-2
                  status:
                    type: string
                    example: completed
                  progress:
                    type: integer
                    example: 100
                  url:
                    type: string
                    description: 视频下载 URL
                    example: https://filesystem.site/cdn/20251019/example.mp4
                  video_url:
                    type: string
                    description: 视频下载 URL（别名）
                    example: https://filesystem.site/cdn/20251019/example.mp4
                  size:
                    type: string
                    example: small
                  seconds:
                    type: string
                    example: '12'
                  created_at:
                    type: integer
                    example: 1773220330
        '400':
          description: 任务尚未完成
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        example: 任务尚未完成，当前状态：IN_PROGRESS
                      type:
                        type: string
                        example: invalid_request_error
        '401':
          description: 未授权
        '404':
          description: 任务未找到
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````